Add !requiretty to sudoers config in install document

When we use devstack to start ironic-inspector service, it starts
sucessfully because we have a tty in devstack screen. But when we try
to use service command to start it, we should add '!requiretty'in the
suoders config, or it will fail.

Change-Id: I1f9f539c8eafea726ca7015ef86773e26a5a5641
changes/27/398227/2
OctopusZhang 6 years ago committed by octopuszhang
parent 34c770c6b5
commit 2d228cd6b9
  1. 1
      doc/source/install.rst

@ -131,6 +131,7 @@ To allow it, copy file ``rootwrap.conf`` and directory ``rootwrap.d`` to the
configuration directory (e.g. ``/etc/ironic-inspector/``) and create file
``/etc/sudoers.d/ironic-inspector-rootwrap`` with the following content::
Defaults:stack !requiretty
stack ALL=(root) NOPASSWD: /usr/bin/ironic-inspector-rootwrap /etc/ironic-inspector/rootwrap.conf *
.. DANGER::

Loading…
Cancel
Save